package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxTemplateMsg;

public interface WxTemplateMsgService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxTemplateMsg> listAsPage(WxTemplateMsg record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxTemplateMsg getById(Long id);

    /**
     * 根据Obj获得实体
     *
     * @param record
     * @return
     */
    WxTemplateMsg getByObj(WxTemplateMsg record);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxTemplateMsg record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
	

	
	
	
	
}
